﻿namespace NPin.Framework.Core.Crypt.RSA;

/// <summary>
/// RSA 密钥长度
/// </summary>
public enum RsaKeyLength
{
    /// <summary>
    /// 512 bit
    /// </summary>
    Bit512 = 512,

    /// <summary>
    /// 1024 bit
    /// </summary>
    Bit1024 = 1024,

    /// <summary>
    /// 2048 bit
    /// </summary>
    Bit2048 = 2048,

    /// <summary>
    /// 4096 bit
    /// </summary>
    Bit4096 = 4096
}