﻿namespace NPin.Framework.Core.Crypt.SM4;

internal sealed class Sm4Context
{
    /// <summary>
    /// 是否补足16进制字符串
    /// </summary>
    internal bool IsPadding { get; set; } = true;

    /// <summary>
    /// 加密或者解密
    /// </summary>
    internal Sm4Mode Mode { get; set; } = Sm4Mode.Encrypt;

    /// <summary>
    /// 密钥
    /// </summary>
    internal long[] Key { get; } = new long[32];
}