﻿using NPin.Framework.Ddd.Application.Contracts;
using Volo.Abp;
using Volo.Abp.Application;
using Volo.Abp.Application.Dtos;
using Volo.Abp.Modularity;

namespace NPin.Framework.Ddd.Application;

[DependsOn(typeof(AbpDddApplicationModule), typeof(NPinFrameworkDddApplicationContractsModule))]
public class NPinFrameworkDddApplicationModule : AbpModule
{
    public override void OnApplicationInitialization(ApplicationInitializationContext context)
    {
        // 分页限制调整
        LimitedResultRequestDto.DefaultMaxResultCount = 10;
        LimitedResultRequestDto.MaxMaxResultCount = 10000;
    }
}