﻿using SqlSugar;

namespace NPin.Framework.SqlSugarCore.Abstractions;

public interface ISqlSugarDbContext
{
    /// <summary>
    /// Db 客户端
    /// </summary>
    ISqlSugarClient SqlSugarClient { get; }

    /// <summary>
    /// 连接配置
    /// </summary>
    DbConnOptions Options { get; }

    /// <summary>
    /// 备份数据库
    /// </summary>
    void Backup();

    /// <summary>
    /// 设置客户端
    /// </summary>
    /// <param name="sqlSugarClient"></param>
    void SetSqlSugarClient(ISqlSugarClient sqlSugarClient);
}