﻿using NPin.Framework.Ddd.Application.Contracts;
using NPin.Framework.TenantManagement.Application.Contracts.Dtos;

namespace NPin.Framework.TenantManagement.Application.Contracts;

/// <summary>
/// 租户CRUD服务
/// </summary>
public interface ITenantService : INPinCrudAppService<TenantGetOutputDto, TenantGetListOutputDto, Guid,
    TenantGetListInput, TenantCreateInput, TenantUpdateInput>
{
}