﻿namespace NPin.Framework.Upms.Domain.Shared.Enums;

/// <summary>
/// 数据范围枚举
/// </summary>
public enum DataScopeEnum
{
    /// <summary>
    /// 所有数据
    /// </summary>
    All = 0,

    /// <summary>
    /// 自定义
    /// </summary>
    Custom = 1,

    /// <summary>
    /// 本部门
    /// </summary>
    Dept = 2,

    /// <summary>
    /// 部门以及子部门
    /// </summary>
    DeptFollow = 3,

    /// <summary>
    /// 只有自己
    /// </summary>
    User = 4
}