﻿namespace NPin.Framework.AspNetCore.Authentication.OAuth.QQ;

/// <summary>
/// QQ登录的常量
/// </summary>
public static class QQAuthenticationConstants
{
    public static class Claims
    {
        public const string AvatarFullUrl = "urn:qq:avatar_full";
        public const string AvatarUrl = "urn:qq:avatar";
        public const string PictureFullUrl = "urn:qq:picture_full";
        public const string PictureMediumUrl = "urn:qq:picture_medium";
        public const string PictureUrl = "urn:qq:picture";
        public const string UnionId = "urn:qq:unionid";
    }
}