﻿namespace NPin.Framework.Core.Enums;

/// <summary>
/// 文件类型
/// </summary>
public enum FileTypeEnum
{
    /// <summary>
    /// 普通文件
    /// </summary>
    File,

    /// <summary>
    /// 图片
    /// </summary>
    Image,

    /// <summary>
    /// 缩略图
    /// </summary>
    Thumbnail,

    /// <summary>
    /// Excel
    /// </summary>
    Excel,

    /// <summary>
    /// 临时文件
    /// </summary>
    Temp
}